import { useTranslation } from "react-i18next";
import { Handle, NodeProps, Position } from "@xyflow/react";
import Base from "./Base";

export function TableDisplay(node: NodeProps) {
  const {t} = useTranslation();
  return (
    <Base
      node={node}
      title={t("pages.screening.nodes.present_TableDisplay.title")}
      removable={true}
    >
      <div>
        <div><a href="#">{t("pages.screening.nodes.present_TableDisplay.open")}</a></div>
      </div>
      <Handle type="target" position={Position.Left}/>
    </Base>
  );
}
